#include "common.h"

volatile int busy = 0;
int owner = -1;

void pinit(void) {}

void plock(int tid) {
	UNUSED(tid);

	while (atomic_compare_and_swap(&busy, 0, 1) == 1)
		;

	owner = tid;
}

void punlock(int tid) {
	UNUSED(tid);
	owner = -1;
	busy = 0;
}
